Is recommended use the 5.0.0 version of minetest?

Post Reply
User avatar
SONICXGATO
Member
Posts: 27
Joined: Tue Mar 05, 2019 21:28
In-game: SONICXGATO or SoNicXNeKo
Location: México

Is recommended use the 5.0.0 version of minetest?

by SONICXGATO » Post

Hi Its me again :p
I have minetest in Android and PC but i wanna install the new version what is the 5.0.0 but i see is unstable and i try the Android version and has a better menu but i.see post what Says is unstable and i back to install the 0.4.17
I gonna play some minetest while i wait questions
just a boring kid. what did you think

User avatar
homthack
Member
Posts: 98
Joined: Sun Apr 15, 2018 19:11
GitHub: homt8
IRC: homthack
In-game: homthack
Location: Canada
Contact:

Re: Is recommended use the 5.0.0 version of minetest?

by homthack » Post

Hello good night

is visiting the original version of minetest and needs the 5.0.0 update that the version has published the original version and link is step 5 March of this year,
and I hope you have the new version that I have this update of my game on minetest and still not done your job for that.
Server-Available: [HM-Skyblock] Contact-Discord: [homthack#9917]

sofar
Developer
Posts: 2132
Joined: Fri Jan 16, 2015 07:31
GitHub: sofar
IRC: sofar
In-game: sofar

Re: Is recommended use the 5.0.0 version of minetest?

by sofar » Post

It's always smart to wait just a few days before upgrading if you don't want to go back to 0.4.x, since you may not be able to due to incompatibilities. If you're concerned, just wait 1-2 weeks.

However, technically, 5.0.0 is stable.

User avatar
SONICXGATO
Member
Posts: 27
Joined: Tue Mar 05, 2019 21:28
In-game: SONICXGATO or SoNicXNeKo
Location: México

Re: Is recommended use the 5.0.0 version of minetest?

by SONICXGATO » Post

Oh thanks for the information
just a boring kid. what did you think

User avatar
sorcerykid
Member
Posts: 1538
Joined: Fri Aug 26, 2016 15:36
GitHub: sorcerykid
In-game: Nemo
Location: Illinois, USA

Re: Is recommended use the 5.0.0 version of minetest?

by sorcerykid » Post

Be forewarned that once you upgrade, then your local maps will no longer be readable in 0.4.x versions of Minetest. If you are running singleplayer or operating a server, then it might be a good idea to backup all your map.sqlite files just in case.

dawgdoc
Member
Posts: 257
Joined: Mon Feb 27, 2017 01:10
GitHub: dawgdoc

Re: Is recommended use the 5.0.0 version of minetest?

by dawgdoc » Post

Something else to bear in mind regards whether you play singleplayer (offline) or multiplayer (online). If you primarily play multiplayer, you will want to use the same version client as supported by the server - or so I have read in the past.
Give a man a fish, feed him for a day. Give a kid a fish, it's going to die.

User avatar
SONICXGATO
Member
Posts: 27
Joined: Tue Mar 05, 2019 21:28
In-game: SONICXGATO or SoNicXNeKo
Location: México

Re: Is recommended use the 5.0.0 version of minetest?

by SONICXGATO » Post

so I'm going to install 5.0.0 on Tuesday of the next week
just a boring kid. what did you think

User avatar
SONICXGATO
Member
Posts: 27
Joined: Tue Mar 05, 2019 21:28
In-game: SONICXGATO or SoNicXNeKo
Location: México

Re: Is recommended use the 5.0.0 version of minetest?

by SONICXGATO » Post

Thanks all for your information
just a boring kid. what did you think

DELTA_FORCE
Member
Posts: 133
Joined: Tue Oct 30, 2018 01:26
IRC: DELTA_FORCE
In-game: DELTA_FORCE
Location: Central US

Re: Is recommended use the 5.0.0 version of minetest?

by DELTA_FORCE » Post

By using MT5, you must understand that although it is stable and working, there are many problems with it. This is acceptable since MT5 is "new" and is yet to have more bug fixes and updates with content. You may also want to wait to switch to MT5 because many servers are still on MT4. Please note however that the devs are doing their best to get people to switch to MT5, such as rubenwardy making a MT5 CTF to get more people to switch.
check me out nowhere because i never do anything

User avatar
Festus1965
Member
Posts: 1639
Joined: Sun Jan 03, 2016 11:58
In-game: Thomas Thailand Explorer
Location: Thailand ChiangMai
Contact:

Re: Is recommended use the 5.0.0 version of minetest?

by Festus1965 » Post

DELTA_FORCE wrote:By using MT5, you must understand that although it is stable and working, there are many problems with it.
was 0.4.16, 0.4.17.1 ever real stable ?
Human has no future (climate change)
If urgend, you find me in Roblox (as CNXThomas)

DELTA_FORCE
Member
Posts: 133
Joined: Tue Oct 30, 2018 01:26
IRC: DELTA_FORCE
In-game: DELTA_FORCE
Location: Central US

Re: Is recommended use the 5.0.0 version of minetest?

by DELTA_FORCE » Post

Problems with 5 may include:
Server issues allowing more exploitations, which many were patched in 4, but not all
check me out nowhere because i never do anything

User avatar
gigomaf
Member
Posts: 23
Joined: Sat Mar 02, 2019 14:57

Re: Is recommended use the 5.0.0 version of minetest?

by gigomaf » Post

Today I installed version 5.0 and I can't use admin commands. When I type /time for example, it shows "You don't have permission to run this command (missing privilege: settime). My login name is the same as in minetest.conf.
I don't have this problem when using previous version of Minetest.

User avatar
Linuxdirk
Member
Posts: 2734
Joined: Wed Sep 17, 2014 11:21
In-game: Linuxdirk
Location: Germany
Contact:

Re: Is recommended use the 5.0.0 version of minetest?

by Linuxdirk » Post

gigomaf wrote:Today I installed version 5.0 and I can't use admin commands. When I type /time for example, it shows "You don't have permission to run this command (missing privilege: settime). My login name is the same as in minetest.conf.
I don't have this problem when using previous version of Minetest.
This was fortunately changed so it is finally possible to play with an admin account without having all privileges force-enabled.

Simply grant yourself the needed permission in order to use the command: /grantme settime.

User avatar
gigomaf
Member
Posts: 23
Joined: Sat Mar 02, 2019 14:57

Re: Is recommended use the 5.0.0 version of minetest?

by gigomaf » Post

I typed /grantme all -> it worked :) Thanks

User avatar
gigomaf
Member
Posts: 23
Joined: Sat Mar 02, 2019 14:57

Re: Is recommended use the 5.0.0 version of minetest?

by gigomaf » Post

I've found another issue, when I try to connect from Android app, it says "Access denied. Your client's version is not supported". I think I will stay with version 4 for now.

User avatar
rubenwardy
Moderator
Posts: 6431
Joined: Tue Jun 12, 2012 18:11
GitHub: rubenwardy
IRC: rubenwardy
In-game: rubenwardy
Location: United Kingdom
Contact:

Re: Is recommended use the 5.0.0 version of minetest?

by rubenwardy » Post

gigomaf wrote:I've found another issue, when I try to connect from Android app, it says "Access denied. Your client's version is not supported". I think I will stay with version 4 for now.
You also need to update the android app, by opting into the beta

DELTA_FORCE
Member
Posts: 133
Joined: Tue Oct 30, 2018 01:26
IRC: DELTA_FORCE
In-game: DELTA_FORCE
Location: Central US

Re: Is recommended use the 5.0.0 version of minetest?

by DELTA_FORCE » Post

Please note you cannot join 5.x servers with a 4.x client, and vice versa.
check me out nowhere because i never do anything

User avatar
Linuxdirk
Member
Posts: 2734
Joined: Wed Sep 17, 2014 11:21
In-game: Linuxdirk
Location: Germany
Contact:

Re: Is recommended use the 5.0.0 version of minetest?

by Linuxdirk » Post

rubenwardy wrote:You also need to update the android app, by opting into the beta
Do you know when 5.0.0 will be regularly released to the Play Store?

User avatar
rubenwardy
Moderator
Posts: 6431
Joined: Tue Jun 12, 2012 18:11
GitHub: rubenwardy
IRC: rubenwardy
In-game: rubenwardy
Location: United Kingdom
Contact:

Re: Is recommended use the 5.0.0 version of minetest?

by rubenwardy » Post

Linuxdirk wrote:Do you know when 5.0.0 will be regularly released to the Play Store?
No idea

Post Reply

Who is online

Users browsing this forum: insomniac and 3 guests